summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>2001-02-28 04:51:21 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>2001-02-28 04:51:21 (GMT)
commit742c3b080af101383bd1d5094d582a5b7e1f9286 (patch)
tree8935c5ca68c0455956009621b1974f82d3c2d2c3 /bin
parent54f9d411bb8ad2392afb2362e6cbcfadced52697 (diff)
downloadhdf5-742c3b080af101383bd1d5094d582a5b7e1f9286.zip
hdf5-742c3b080af101383bd1d5094d582a5b7e1f9286.tar.gz
hdf5-742c3b080af101383bd1d5094d582a5b7e1f9286.tar.bz2
[svn-r3524] Purpose:
Upgrade Description: Folded changes done in v1.5 into this branch. Changed the default version to -r1.4 for snapshot. Platforms tested: Eirene & all other test hosts.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/runtest31
-rwxr-xr-xbin/snapshot8
2 files changed, 22 insertions, 17 deletions
diff --git a/bin/runtest b/bin/runtest
index 3aef6e2..df25a70 100755
--- a/bin/runtest
+++ b/bin/runtest
@@ -22,7 +22,7 @@ test -n "$DEBUGMODE" && echo "******** DEBUGMODE is $DEBUGMODE ************"
WHEREAMI='pwd'
# the name of this program
-PROGNAME=bin/runtest
+PROGNAME="bin/runtest $DEBUGMODE"
# Setup
HOSTNAME=`hostname | cut -f1 -d.` # no domain part
@@ -47,13 +47,13 @@ ENABLE_PARALLEL="op-configure --enable-parallel"
#***************
# DEC
# Gondolin: DEC
-#DECHOST="skydive" # skydive is being upgraded.
- # gondolin rsh/ssh don't work.
+#DECHOST="skydive" # skydive is dead.
+ # gondolin rsh/ssh don't work. run as alone-host.
# HP
# sangamon: HPUX 10
-# opus: HPUX 11
-HPHOST="sangamon" # HPUX 10 & 11 # opus removed because both its
- # NFS and AFS filesystems have problems.
+# kelgia: HPUX 11
+HPHOST="kelgia sangamon" # HPUX 10 & 11
+
# Linux
# Dangermouse, eirene: Linux
# Dangermouse used to die if gmake -j is used.
@@ -249,14 +249,8 @@ RUNSNAPTEST()
SNAPCMD_OPT="$SNAPCMD_OPT srcdirname ${SRCDIRNAME}"
fi
- # If LOGFILE already exists, it means this host has been tested today.
- # Do at most one run per day.
+ # Setup log file name to save test output
LOGFILE=${LOGBASENAME}${SRCDIRNAME}_${TODAY}
- if [ -f $LOGFILE ]; then
- echo LOGFILE $LOGFILE exists. No more run today.
- retcode=1 && errcode=$retcode && return $retcode
- fi
-
echo Running snapshot with output saved in $LOGFILE
(date; echo Hostname=$HOSTNAME) >> $LOGFILE
@@ -335,11 +329,13 @@ FLUSH_FILES()
USAGE()
{
cat <<EOF
-Usage: runtest [-h] [-r<version>] [-all] [<host> ...]
+Usage: runtest [-h] [-debug] [-r<version>] [-all] [<host> ...]
-h
print this help page
-r<version>
do runtest for <version>
+ -debug
+ turn on debug mode
-all
launch tests for all pre-defined testing hosts
<host>
@@ -371,6 +367,13 @@ while [ $# -gt 0 ]; do
USAGE
exit 0
;;
+ -debug*)
+ # set debug mode
+ DEBUGMODE="$1"
+ SNAPSHOT="echo bin/snapshot"
+ PROGNAME="$PROGNAME $DEBUGMODE"
+ echo "******** DEBUGMODE is $DEBUGMODE ************"
+ ;;
-r*)
# the version string has a leading _ but not for H5DIR name
H5VER="$1"
diff --git a/bin/snapshot b/bin/snapshot
index 7883e79..8e8ecb6 100755
--- a/bin/snapshot
+++ b/bin/snapshot
@@ -1,4 +1,7 @@
#!/bin/sh
+echo "====================================="
+echo "$0 $*"
+echo "====================================="
set -x
date
uname -a
@@ -40,7 +43,6 @@ fi
cmd="all"
test_opt=""
errcode=0
-echo '$#=' $# '$*="' $* '"'
while [ $# -gt 0 ] ; do
case "$1" in
all)
@@ -164,7 +166,7 @@ CONFIGURE="./configure $HDF4LIB $OP_CONFIGURE"
# Execute the requests
snapshot=yes
-H5VERSION=hdf5
+H5VERSION=hdf5_1_4
BASEDIR=${HOME}/snapshots-${H5VERSION}
CURRENT=${BASEDIR}/current
PREVIOUS=${BASEDIR}/previous
@@ -187,7 +189,7 @@ if [ "$cmd" = "all" -o -n "$cmdcheckout" ]; then
test -d ${BASEDIR} || mkdir -p ${BASEDIR} || exit 1
# Check out the current version from CVS
- cvs -Q co -d ${CURRENT} hdf5 || exit 1
+ cvs -Q co -d ${CURRENT} -r ${H5VERSION} hdf5 || exit 1
fi # Do CVS checkout